Index: components/ble/ble_services/ble_nus_c/ble_nus_c.c
===================================================================
--- components/ble/ble_services/ble_nus_c/ble_nus_c.c	(6869)
+++ components/ble/ble_services/ble_nus_c/ble_nus_c.c	(6870)
@@ -123,13 +123,25 @@
     uint32_t      err_code;
     ble_uuid_t    uart_uuid;
-    ble_uuid128_t nus_base_uuid = NUS_BASE_UUID;
+    ble_uuid128_t nus_base_uuid = NUS_SERVICE_BASE_UUID;
+    ble_uuid128_t nus_tx_char_uuid = NUS_TX_CHARACTERISTIC_UUID;
+    ble_uuid128_t nus_rx_char_uuid = NUS_RX_CHARACTERISTIC_UUID;
 
     VERIFY_PARAM_NOT_NULL(p_ble_nus_c);
     VERIFY_PARAM_NOT_NULL(p_ble_nus_c_init);

+    err_code = sd_ble_uuid_vs_add(&nus_tx_char_uuid, &p_ble_nus_c->uuid_type);
+    VERIFY_SUCCESS(err_code);
+    uart_uuid.type = p_ble_nus_c->uuid_type;
+    uart_uuid.uuid = BLE_UUID_NUS_TX_CHARACTERISTIC;
+    err_code = sd_ble_uuid_vs_add(&nus_rx_char_uuid, &p_ble_nus_c->uuid_type);
+    VERIFY_SUCCESS(err_code);
+    uart_uuid.type = p_ble_nus_c->uuid_type;
+    uart_uuid.uuid = BLE_UUID_NUS_RX_CHARACTERISTIC;
     err_code = sd_ble_uuid_vs_add(&nus_base_uuid, &p_ble_nus_c->uuid_type);
     VERIFY_SUCCESS(err_code);

     uart_uuid.type = p_ble_nus_c->uuid_type;
     uart_uuid.uuid = BLE_UUID_NUS_SERVICE;
 
Index: components/ble/ble_services/ble_nus_c/ble_nus_c.h
===================================================================
--- components/ble/ble_services/ble_nus_c/ble_nus_c.h	(6869)
+++ components/ble/ble_services/ble_nus_c/ble_nus_c.h	(6870)
@@ -98,12 +98,19 @@
                       BLE_NUS_C_BLE_OBSERVER_PRIO,       \
                       ble_nus_c_on_ble_evt, &_name, _cnt)
 
-#define NUS_BASE_UUID                  {{0x9E, 0xCA, 0xDC, 0x24, 0x0E, 0xE5, 0xA9, 0xE0, 0x93, 0xF3, 0xA3, 0xB5, 0x00, 0x00, 0x40, 0x6E}} /**< Used vendor specific UUID. */
+#define NUS_SERVICE_BASE_UUID			{{0xe7, 0x29, 0x13, 0xc2, 0xa1, 0xba, 0x11, 0x9c, 0x1f, 0x4c, 0x46, 0xc9, 0x00, 0x00, 0x0c, 0x68}} /**< Used vendor specific UUID. */
+#define NUS_CHARACTERISTIC_UUID		{{0x37, 0x9a, 0xb8, 0x89, 0xc8, 0x7e, 0x56, 0xab, 0x3d, 0x4b, 0x34, 0xc6, 0x00, 0x00, 0x3b, 0x00}} /**< Used vendor specific UUID. */
 
-#define BLE_UUID_NUS_SERVICE            0x0001                      /**< The UUID of the Nordic UART Service. */
-#define BLE_UUID_NUS_RX_CHARACTERISTIC  0x0002                      /**< The UUID of the RX Characteristic. */
-#define BLE_UUID_NUS_TX_CHARACTERISTIC  0x0003                      /**< The UUID of the TX Characteristic. */


+//#define BLE_UUID_NUS_SERVICE            0x0001                      /**< The UUID of the Nordic UART Service. */
+//#define BLE_UUID_NUS_RX_CHARACTERISTIC  0x0002                      /**< The UUID of the RX Characteristic. */
+//#define BLE_UUID_NUS_TX_CHARACTERISTIC  0x0003                      /**< The UUID of the TX Characteristic. */
+#define BLE_UUID_NUS_SERVICE		0x21d9
+#define BLE_UUID_NUS_TX_CHARACTERISTIC 0xbdf2               /**< The UUID of the TX Characteristic. */
+#define BLE_UUID_NUS_RX_CHARACTERISTIC 0xace7               /**< The UUID of the RX Characteristic. */
+
 #define OPCODE_LENGTH 1
 #define HANDLE_LENGTH 2
 
Index: examples/ble_central/ble_app_uart_c/pca10056/s140/config/sdk_config.h
===================================================================
--- examples/ble_central/ble_app_uart_c/pca10056/s140/config/sdk_config.h	(6869)
+++ examples/ble_central/ble_app_uart_c/pca10056/s140/config/sdk_config.h	(6870)
@@ -11249,7 +11249,7 @@
 
 // <o> NRF_SDH_BLE_VS_UUID_COUNT - The number of vendor-specific UUIDs. 
 #ifndef NRF_SDH_BLE_VS_UUID_COUNT
-#define NRF_SDH_BLE_VS_UUID_COUNT 1
+#define NRF_SDH_BLE_VS_UUID_COUNT 3
 #endif
 
 // <q> NRF_SDH_BLE_SERVICE_CHANGED  - Include the Service Changed characteristic in the Attribute Table.
